# Update user's own data

- Operation ID: `updateUsersOwnDataUsingPOST`
- HTTP method: `POST`
- Path: `/uauth/users/my-account`
- [Human-readable API reference](https://hub.synerise.com/api-reference/identity-and-access-management#tag/User-account-management/operation/updateUsersOwnDataUsingPOST)

## Self-contained OpenAPI method

The fenced document below contains this method's documentation and all of its local references. It is self-contained; no category or master specification fetch is required.

```yaml
openapi: 3.0.0
info:
  title: Synerise Public API
  version: 1.9.1
paths:
  /uauth/users/my-account:
    post:
      tags:
        - User account management
      summary: Update user's own data
      description: |
        A user can update their own details.

        ---

        **API consumer:** <a href="/api-reference/authorization?tag=Authorization&amp;operationId=userLogin" target="_blank" rel="noopener">Synerise User</a>
      operationId: updateUsersOwnDataUsingPOST
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                firstName:
                  type: string
                  description: First name of the user
                lastName:
                  type: string
                  description: Last name of the user
                avatar:
                  type: string
                  description: URL of the user's avatar
                phone:
                  type: string
                  description: User's phone number
                language:
                  type: string
                  enum:
                    - pl
                    - es
                    - pt
                    - en-GB
                    - en-US
                  description: User's interface language
                organizationRole:
                  type: string
                  description: User's role in the organization
                introduction:
                  type: string
                  description: User's introduction
                confirmed:
                  type: boolean
                  description: Informs if the account is confirmed
                mailAccountId:
                  type: integer
                  description: Unused field
                description:
                  type: string
                  description: User's description
                dateFormatNotation:
                  type: string
                  enum:
                    - US
                    - EU
                timeFormatNotation:
                  type: string
                  enum:
                    - US
                    - EU
                numberFormatNotation:
                  type: string
                  enum:
                    - US
                    - EU
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: integer
                    format: int64
                  email:
                    type: string
                  firstName:
                    type: string
                  lastName:
                    type: string
                  displayName:
                    type: string
                  avatar:
                    type: string
                  phone:
                    type: string
                  language:
                    type: string
                    enum:
                      - pl
                      - es
                      - pt
                      - en-GB
                      - en-US
                    description: User's interface language
                  organizationRole:
                    type: string
                  introduction:
                    type: string
                  confirmed:
                    type: boolean
                  mailAccountId:
                    type: integer
                    format: int32
                  superAdmin:
                    type: boolean
                  created:
                    type: string
                    format: date-time
                  updated:
                    type: string
                    format: date-time
                  lastLogin:
                    type: string
                    format: date-time
                  status:
                    type: string
                    enum:
                      - ACTIVE
                      - PENDING
                      - EXPIRED
                      - INACTIVE
                  roles:
                    type: array
                    items:
                      type: integer
                      format: int64
                  isTheSameUserAsLoggedIn:
                    type: boolean
                  description:
                    type: string
                  isMfaEnabled:
                    type: boolean
                  passwordLastModificationDate:
                    type: string
                    format: date-time
                  canBeEdited:
                    type: boolean
                  dateFormatNotation:
                    type: string
                    enum:
                      - US
                      - EU
                  timeFormatNotation:
                    type: string
                    enum:
                      - US
                      - EU
                  numberFormatNotation:
                    type: string
                    enum:
                      - US
                      - EU
                  mfaTokenExpirationHours:
                    type: integer
                    format: int32
                  defaultMfaMethod:
                    type: string
                    enum:
                      - TOTP_AUTHENTICATOR
                      - EMAIL
                  labels:
                    type: array
                    items:
                      type: string
        "201":
          description: Created
        "401":
          description: Unauthorized
        "403":
          description: Forbidden
        "404":
          description: Not Found
      security:
        - JWT: []
      x-snr-doc-urls:
        - /api-reference/identity-and-access-management#tag/User-account-management/operation/updateUsersOwnDataUsingPOST
      x-codeSamples:
        - lang: cURL
          label: cURL
          source: |-
            curl --request POST \
              --url https://api.synerise.com/uauth/users/my-account \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
              --header 'content-type: application/json' \
              --data '{"firstName":"string","lastName":"string","avatar":"string","phone":"string","language":"pl","organizationRole":"string","introduction":"string","confirmed":true,"mailAccountId":0,"description":"string","dateFormatNotation":"US","timeFormatNotation":"US","numberFormatNotation":"US"}'
        - lang: Python
          label: Python
          source: |-
            import http.client

            conn = http.client.HTTPSConnection("api.synerise.com")

            payload = "{\"firstName\":\"string\",\"lastName\":\"string\",\"avatar\":\"string\",\"phone\":\"string\",\"language\":\"pl\",\"organizationRole\":\"string\",\"introduction\":\"string\",\"confirmed\":true,\"mailAccountId\":0,\"description\":\"string\",\"dateFormatNotation\":\"US\",\"timeFormatNotation\":\"US\",\"numberFormatNotation\":\"US\"}"

            headers = {
                'Authorization': "Bearer REPLACE_BEARER_TOKEN",
                'content-type': "application/json"
                }

            conn.request("POST", "/uauth/users/my-account", payload, headers)

            res = conn.getresponse()
            data = res.read()

            print(data.decode("utf-8"))
        - lang: JavaScript
          label: JavaScript
          source: |-
            const data = JSON.stringify({
              "firstName": "string",
              "lastName": "string",
              "avatar": "string",
              "phone": "string",
              "language": "pl",
              "organizationRole": "string",
              "introduction": "string",
              "confirmed": true,
              "mailAccountId": 0,
              "description": "string",
              "dateFormatNotation": "US",
              "timeFormatNotation": "US",
              "numberFormatNotation": "US"
            });

            const xhr = new XMLHttpRequest();
            xhr.withCredentials = true;

            xhr.addEventListener("readystatechange", function () {
              if (this.readyState === this.DONE) {
                console.log(this.responseText);
              }
            });

            xhr.open("POST", "https://api.synerise.com/uauth/users/my-account");
            xhr.setRequestHeader("Authorization", "Bearer REPLACE_BEARER_TOKEN");
            xhr.setRequestHeader("content-type", "application/json");

            xhr.send(data);
        - lang: Node.js
          label: Node.js
          source: |-
            const http = require("https");

            const options = {
              "method": "POST",
              "hostname": "api.synerise.com",
              "port": null,
              "path": "/uauth/users/my-account",
              "headers": {
                "Authorization": "Bearer REPLACE_BEARER_TOKEN",
                "content-type": "application/json"
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on("data", function (chunk) {
                chunks.push(chunk);
              });

              res.on("end", function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.write(JSON.stringify({
              firstName: 'string',
              lastName: 'string',
              avatar: 'string',
              phone: 'string',
              language: 'pl',
              organizationRole: 'string',
              introduction: 'string',
              confirmed: true,
              mailAccountId: 0,
              description: 'string',
              dateFormatNotation: 'US',
              timeFormatNotation: 'US',
              numberFormatNotation: 'US'
            }));
            req.end();
        - lang: PHP
          label: PHP
          source: |-
            <?php

            $request = new HttpRequest();
            $request->setUrl('https://api.synerise.com/uauth/users/my-account');
            $request->setMethod(HTTP_METH_POST);

            $request->setHeaders([
              'Authorization' => 'Bearer REPLACE_BEARER_TOKEN',
              'content-type' => 'application/json'
            ]);

            $request->setBody('{"firstName":"string","lastName":"string","avatar":"string","phone":"string","language":"pl","organizationRole":"string","introduction":"string","confirmed":true,"mailAccountId":0,"description":"string","dateFormatNotation":"US","timeFormatNotation":"US","numberFormatNotation":"US"}');

            try {
              $response = $request->send();

              echo $response->getBody();
            } catch (HttpException $ex) {
              echo $ex;
            }
        - lang: Java
          label: Java
          source: |-
            HttpResponse<String> response = Unirest.post("https://api.synerise.com/uauth/users/my-account")
              .header("Authorization", "Bearer REPLACE_BEARER_TOKEN")
              .header("content-type", "application/json")
              .body("{\"firstName\":\"string\",\"lastName\":\"string\",\"avatar\":\"string\",\"phone\":\"string\",\"language\":\"pl\",\"organizationRole\":\"string\",\"introduction\":\"string\",\"confirmed\":true,\"mailAccountId\":0,\"description\":\"string\",\"dateFormatNotation\":\"US\",\"timeFormatNotation\":\"US\",\"numberFormatNotation\":\"US\"}")
              .asString();
servers:
  - description: Microsoft Azure EU
    url: https://api.synerise.com
  - description: Microsoft Azure USA
    url: https://api.azu.synerise.com
  - description: Google Cloud Platform
    url: https://api.geb.synerise.com
tags:
  - name: User account management
components:
  securitySchemes:
    JWT:
      type: http
      scheme: bearer
      description: |-
        JWT Bearer token. The header looks like this: `Bearer {JWT}`

        Remember to include the space between 'Bearer' and the token.

        Generate a token via the **Authorization** endpoints.
```
